package review.exercices;

/**
 * Classe permettant le calcul d'un factorial. 
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class Factorial {

    /**
     * calcule le factorial de n
     * @param n 
     * @return factorial de n
     * @throws NegativeFactorialException si n<0
     */
    public static int factorial(int n) throws NegativeFactorialException {
        int f = 1;

        if (n < 0) {
            throw new NegativeFactorialException(n);
        }

        for (int i = 1; i <= n; i++) {
            f *= i;
        }
        return f;
    }
}