/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices;

import java.io.InputStream;
import review.exercices.HelloWorld2;
import java.util.Scanner;

/**
 * Exercice 2 - Helloworld
 * Objectif : heritage, manipulation clavier par classe scanner
 * @author kirsch
 */
public class HelloWorld3 extends HelloWorld2{

    public HelloWorld3(String msg) {
        super(msg);
    }
    
    public HelloWorld3() {
        this(" ");
    }

    /** 
     * cette méthode lit une ligne d'une entrée de type InputStream et 
     * la garde en tant que message 
     * @param in entrée (fichier ou entrée standard) à partir de laquelle on
     * lira le message
     */ 
    public void read(InputStream in) {
        Scanner sc = new Scanner(in);
        this.setMessage(sc.nextLine());
    }

    public static void main(String[] argv){
        HelloWorld3 hw = new HelloWorld3();
        hw.read(System.in);
        hw.showMe();
    }

}
