/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices;

/**
 * Multiplication de deux matrices 2x2
 * Objectif : boucles imbriquées 
 * @author kirsch
 */
public class MMatrix1 {

    public static float[][] multi(float[][] M1, float[][] M2){
        float mC[][]  = new float[][] {{0,0},{0,0}};
        
        for (int i=0; i<2; i++){
            for (int j=0; j<2; j++){
                for (int k=0; k<2; k++) {
                    mC[i][j] += M1[i][k]*M2[k][j];
                }
            }
        }
        return mC;
    }

    public static void showMatrix(float mC[][]){
        for (int i=0; i<mC.length; i++){
            for (int j=0;j<mC[i].length;j++) {
                System.out.print(mC[i][j]+"  ");
            }
            System.out.println();
        }
    }

    public static void main(String[] argv){
        float[][] m1 = new float[][] {{1,2},{3,4}};
        float[][] m2 = new float[][] {{5,6},{7,8}};

        float[][] mr = MMatrix1.multi(m1,m2);
        MMatrix1.showMatrix(mr);
    }

}
