/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 * Exercice Exception
 * Usage des exceptions
 * @author kirsch
 */
public class MainException {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        //ExceptionDemo ed = new ExceptionDemo();
        int fact = -1;

        //lecture valeur de x a partir du clavier
        Scanner in = new Scanner(System.in);
        System.out.print("x ? ");

        try {
          int x = in.nextInt();
          fact = Factorial.factorial(x);
        } catch (InputMismatchException ime) {
          System.out.printf ("x doit etre un int !!");
        } catch (NegativeFactorialException nfe) {
            System.out.println("x doit etre superieur a 0 !!");
        }
        

        if (fact>=0) System.out.println ("fact = " + fact);
    }

}
