/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 * Exemple de classe capturant une exception créé par le programmeur 
 * (non définie par l'api Java standard). 
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class MainFactorial {

    public static void main(String[] args) {
        int n = 0;
        int f = 0;
        Scanner sc = new Scanner(System.in);

        try {
            System.out.print("n ?");
            n = sc.nextInt();
            f = Factorial.factorial(n);
            System.out.println("Factorial of " + n + ": " + f);
        } catch (InputMismatchException ime) {
            System.out.println("This is not an integer !");
        } catch (NegativeFactorialException nfe) {
            System.out.println(nfe.getMessage());
        }

    }
}
