package review.exercices;

/**
 * Exercice Tableau Entier
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class MainTableauEntier {

    TableauEntier a_TableauEntier_;
    TextUI a_TextUI_;
    int taille;

    public MainTableauEntier() {
        a_TextUI_ = new TextUI();
        taille = 0;
        a_TableauEntier_ = null;
    }

    public void creerTableau() {
        taille = this.a_TextUI_.readInt("Taille du tableau ? ");
        
        this.setTableau(new TableauEntier(taille));
        this.afficherTableau();
    }

    public void entrerDonnees() {
        int entree=0;
        int pos=0;
        
        do {
            pos = this.a_TextUI_.readInt("Indice (-1 pour sortir) : ");
            if (pos>=0 && !this.a_TableauEntier_.estOccupee(pos)) {
                entree = this.a_TextUI_.readInt("Valeur : ");
                this.a_TableauEntier_.ajouter(entree, pos);
            }
        } while (pos>=0);
    }

    public void supprimerDonnees() {
        int entree=0;
        int pos=0;
        
        do {
            pos = this.a_TextUI_.readInt("Indice (-1 pour sortir) : ");
            if (pos>=0 && this.a_TableauEntier_.estOccupee(pos)) {
                this.a_TableauEntier_.supprimer(pos);
            }
        } while (pos>=0);
        
    }

    public void afficherTableau() {
        this.a_TextUI_.showMessage(this.a_TableauEntier_.toString());
    }
    
    public TextUI getTextUI() {
        return this.a_TextUI_;
    }
    
    protected void setTableau(TableauEntier t) {
        this.a_TableauEntier_ = t;
    }
    
    protected TableauEntier getTableau() {
        return this.a_TableauEntier_;
    }

    public static void main(String[] args) {
        MainTableauEntier m = new MainTableauEntier();
        m.creerTableau();
        m.entrerDonnees();
        m.afficherTableau();
        m.supprimerDonnees();
        m.afficherTableau();        
    }
}