/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

import review.business.Employee;

/**
 * Evénement représentant également les modifications affectant un employé précis du
 * département (addition, suppression et modifications d'un employé). 
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class FullDepartmentChangedEvent extends DepartmentChangedEvent {
    Employee emp;
    
    public FullDepartmentChangedEvent (Object source, Employee e) {
        super(source);
        this.emp = e;
    }
    
    public Employee getAffectedEmployee () {
        return this.emp;
    }
}
