/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

/**
 * Listener observant les modifications pouvant se réaliser sur un employé du département
 * @see FullDepartmentChangedEvent
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public interface FullDepartmentListener extends DepartmentListener {
    
    public void employeeChanged (FullDepartmentChangedEvent evt);
    public void employeeRemoved (FullDepartmentChangedEvent evt);
    public void employeeAdded (FullDepartmentChangedEvent evt);
}
