package review.exercices.mvc;

import java.awt.Button;
import java.awt.FlowLayout;
import java.awt.TextField;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.381D18A4-C0E4-AF8B-4C8C-0B92FD55B83E]
// </editor-fold> 
public class VolumeView1 extends AbstractVolumeView implements ActionListener {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EC0E882F-236F-AB9C-BF4B-6CF773D4D7BE]
    // </editor-fold> 
    private TextField volumeText;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.365A00E8-4512-B949-E67A-AA8FB99CCD1C]
    // </editor-fold> 
    private Button changeBtn;


   public VolumeView1 (VolumeControler control) {
        super(control);
        initComponents();
    }


    private void initComponents() {

        this.changeBtn = new Button();
        this.changeBtn.setLabel("Change");

        this.volumeText = new TextField();
        this.volumeText.setColumns(10);
        
        this.setLayout(new FlowLayout());
        this.add(this.volumeText);
        this.add(this.changeBtn);

        pack();

        this.changeBtn.addActionListener(this);
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C53B23C5-E12F-8C67-8137-DB7F2D082216]
    // </editor-fold> 
    public String getVolumeText () {
        return this.volumeText.getText();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6E9BADA3-1B4E-E9D8-623F-00820E0BF8E9]
    // </editor-fold> 
    public void setVolumeText (String val) {
        this.volumeText.setText(val);
    }

    public void volumeChanged(VolumeEvent evt) {
        this.volumeText.setText(Integer.toString(evt.getNewVolume()));
    }

    public void actionPerformed(ActionEvent e) {
        try {
            int newVal = Integer.parseInt(this.volumeText.getText());
           this.getVolumeControl().notifyVolumeChange(newVal);
        } catch (NumberFormatException nfe) {
            //si le champ texte ne contient pas un vrai entier
            //on ne modifie pas le modèle
        }
    }
}

