/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

package review.ihm.layouts;

import java.awt.Button;
import java.awt.GridLayout;


/**
 * ceci est un frame qui contient plusieurs (5) boutons
 * ce frame est utilise pour monter l'usage du gridlayout manager
 * @author kirsch
 */
public class GridLayoutExampleFrame extends FlowLayoutExampleFrame {

    public GridLayoutExampleFrame(String title) {
        super(title);
    }

    @Override
        protected void initComponents () {

        /* on definit une grille de 2x3, avec 10pts entre les cellulles */
        GridLayout grid = new GridLayout(2,3, 10, 10);
        this.setLayout(grid);

        //on ajoute 5 boutons
        for (int i=1; i<=5; i++) {
            Button b = new Button("Button "+i);
            this.add(b);
        }
       // this.add(new Button("B6"), 0);
        
        this.setSize(this.guessSize());
    }
   
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        GridLayoutExampleFrame frame = new GridLayoutExampleFrame ("GridManager");
        frame.setVisible(true);
    }
}
