package review.patterns.composite;

import java.util.ArrayList;

public class Composite extends Component {
	public ArrayList<Component> children = new ArrayList<Component>();

	public float operation() {
            float prix=0;
            System.out.println("Composite operation "+this.getName());
		for (Component c: children) {
		    prix += c.operation();
		}
            return prix;
	}

	public void add(Component c) {
		children.add(c);
	}

	public void remove(Component c) {
		children.remove(c);
	}

	public Component getChild(int i) {
		return children.get(i);
	}
}