package review.patterns.strategy;

public class SortArray {
	private SortStrategy sortStrategy;

	public void sort(double[] data) {
		sortStrategy.sort(data);
	}

	public void setSortStrategy(SortStrategy s) {
		this.sortStrategy = s;
	}

	public SortStrategy getSortStrategy() {
		return sortStrategy;
	}
}