/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.structures;

import java.util.HashMap;
import java.util.Map;

/**
 * Exemple d'usage de l'interface Map.
 * @author kirsch
 */
public class MapTest {

    Map<Integer,String> map;

    public MapTest() {
        this.map = new HashMap();
    }

    public void put(int matricule, String nom) {
        
        this.map.put(matricule, nom); //usage de l'autoboxing, équivaut à ...
        //this.map.put(new Integer(matricule), nom);
    
    }

    public String get(int matricule) {
        //return (this.map.get(new Integer(matricule)));
        //ici on éviter de retourner un null si la matricule est inconnue
        String result = "";
        if (this.map.containsKey(new Integer(matricule)))
            result = this.map.get(new Integer(matricule));
        return result;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        MapTest test = new MapTest();
        test.put(10, "Test10");
        test.put(20, "Test20");
        test.put(30, "Test30");
        System.out.println (test.get(20));
        test.put(20, "Test20 BIS");
        System.out.println (test.get(20));

        System.out.println (test.get(50));
    }

}
