/*
UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
MIAGE - UFR 27
Cours ISI5 / INF2 - Developpement d'Interface

 */
package review.tempconverter;

import java.util.InputMismatchException;
import review.exercices.TextUI;
/**
 * Tool for converting a temperature in Celcius (°C) into Fahrneheit (°F)
 * @author kirsch
 */
public class CelciusConverter {

    public static void main(String[] args) {
        double celc;
        TextUI ui = new TextUI();

        try {
           celc = ui.readFloat("Temperature (°C): "); 
           ui.showMessage("Temperature (°F):" 
                   + TemperatureConverter.toFahrenheit(celc));
        }catch (InputMismatchException ime) {
            ui.showMessage("Sorry! I'm waiting for a float number.");
        }
    }
}
