/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review;
import java.util.Calendar;
import java.text.DateFormat;

/**
 * Classe de presentation des concepts de base de la POO
 * Affiche un message sur la sortie standard
 * @author kirsch
 */
public class HelloWorld {
    //message a afficher
    String message;
    
    /**
     * constructeur public 
     * @param message indique le message qui sera affiche
     */
    public HelloWorld(String message) {
        this.message = message;
    }

    /** return a string with the current date */
    private String getDate () {
        DateFormat fmt = DateFormat.getDateInstance();
        String dat = fmt.format(Calendar.getInstance().getTime());
        return dat;
    }

    /** affiche une la date avec le message */
    public void showMeWithDate() {
        System.out.println (this.getDate() + " : " + this.message);
    }

    /**
     * affiche dans la sortie standard le message pre-defini
     */
    public void showMe () {
        System.out.println (this.message);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        HelloWorld hello = new HelloWorld("Hello World !");
        hello.showMe();
        hello.showMeWithDate();
    }
}
