/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

/**
 *
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class BusinessMain4 {
    FullDataBaseDepartmentModel model;
    
    public void run () {
        FullDataBaseDepartmentModel model = new FullDataBaseDepartmentModel();
        ListenerDepartmentControler fullcontrol = new ListenerDepartmentControler(model);
        AbstractNoListenerDepartmentView view1 = new NoListenerFormEmployee(fullcontrol);
        AbstractNoListenerDepartmentView view2 = new NoListenerListEmployees(fullcontrol);
 
        view1.setTitle("Employees v4");
        view2.setTitle("Employees v4");
        fullcontrol.addDepartmentView(view1);
        fullcontrol.addDepartmentView(view2);
        
        DepartmentControler control = new ConcreteDepartmentControler(model);
        AbstractDepartmentView viewList = new ListEmployees(control);

        viewList.setTitle("Employees v3");
        control.addDepartmentView(viewList);
        
        model.load();
        
        view1.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
        view2.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
        viewList.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
        
        fullcontrol.diplayAll();
        control.diplayAll();
    }
    
    
    public static void main (String args[]) {
        BusinessMain4 m = new BusinessMain4();
        m.run();
    }
    
}
