package review.patterns.strategy;

public class SelectionSort implements SortStrategy {

    @Override
    public void sort(double[] data) {
        System.out.println("Select sort it!");

        //code from : http://www.algolist.net/Algorithms/Sorting/Selection_sort
        int i, j, minIndex;
        double tmp;
        int n = data.length;
        for (i = 0; i < n - 1; i++) {
            minIndex = i;
            for (j = i + 1; j < n; j++) {
                if (data[j] < data[minIndex]) {
                    minIndex = j;
                }
            }
            if (minIndex != i) {
                tmp = data[i];
                data[i] = data[minIndex];
                data[minIndex] = tmp;
            }
        }
    }
}