/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 * Cours ISI5 / INF2 - Developpement d'Interface
 */

package review.tempconverter;

/**
 * Temperature Converter converts temperatures from °C to °F and vice-versa
 * @author kirsch
 */
public class TemperatureConverter {
    
    /**
     * Convert a temperature to Celcius by
     * considering that temperature is originally in °F.
     * @return double temperature in °C
     */
    public static double toCelcius (double temp) {
        return ((temp-32)*5)/9;
        
    }

    /**
     * Convert a temperature to Fahrenheit by
     * considering that the temperature is originally in °C.
     * @return double temperature in °F
     */
    public static double toFahrenheit (double temp) {
        return (temp*9)/5 + 32;
    }
}
