/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.tempconverter;

import org.junit.After;
import org.junit.AfterClass;
import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class TemperatureConverterTest {

    double f = 89.6;
    double c = 32;

    public TemperatureConverterTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
        System.out.println("Defining test data");
        f = 89.6;
        c = 32;
    }

    @After
    public void tearDown() {
        System.out.println("Closing test");
        f = 0.0;
        c = 0.0;
    }

    /**
     * Test of toCelcius method, of class TemperatureConverter.
     */
    @Test
    public void testToCelcius() {
        System.out.println("toCelcius");
        double temp = 32.0;
        double expResult = 0.0;
        double result = TemperatureConverter.toCelcius(temp);
        //assertEquals (attendu, obtenu, delta)
        assertEquals(expResult, result, 0.0);
    }

    /**
     * Test of toFahrenheit method, of class TemperatureConverter.
     */
    @Test
    public void testToFahrenheit() {
        System.out.println("toFahrenheit");
        double result = TemperatureConverter.toFahrenheit(c);
        assertEquals(f, result, 0.0);
    }
}
